#!/bin/bash
# (C) 2015 T.BAAR PRG INSTALLERS
# Website: http://t-baar.com

echo "Lancement de T.BAAR PRG Installer - http://t-baar.com"
echo ""
# Verifying root
FILE="/tmp/out.$$"
GREP="/bin/grep"
#....
# Make sure only root can run our script
if [ "$(id -u)" != "0" ]; then
   echo "Erreur de permission, êtes-vous administrateur? (root)" 1>&2
   exit 1
fi
#Verifying installation
if [ -d "/opt/sky3ds" ]; then
        echo 'Sky3ds Utility est déjà installé!'
        echo "Si vous devez le réinstaller, lancez d'abord la commande sky3ds-uninstaller en administrateur (root)"
        exit 1
else
	echo ''
fi
# Verifying dependencies
echo "Est-ce que xterm est installé?"
sleep 1
    #check if xterm is installed

if [ -f "/bin/xterm" ]; then
        echo 'xterm est correctement installé (Racine /bin !)'

elif [ -f "/usr/bin/xterm" ]; then
        echo 'xterm est correctement installé'
        
elif [ -f "/usr/bin/X11/xterm" ]; then
        echo 'xterm est correctement installé (Dossier X11)'

elif [ -f "/usr/local/bin/xterm" ]; then
        echo 'xterm est correctement installé (Version compilée à la main)'
        
elif [ -f "/usr/local/bin/X11/xterm" ]; then
        echo 'xterm est correctement installé (Version compilée à la main, dossier X11)'
    #if neither are installed, quit
else 
        echo "Merci d'installer xterm et de relancer l'installation" 1>&2
        exit 1
fi
sleep 0.5
echo ""
echo "Est-ce que python est installé?"

    #check if python is installed
sleep 1
    if [ -f "/bin/python" ]; then
        echo 'python est correctement installé (Racine /bin !)'

elif [ -f "/usr/bin/python" ]; then
        echo 'python est correctement installé'

elif [ -f "/usr/local/bin/python" ]; then
        echo 'python est correctement installé (Version compilée à la main)'

    #if neither are installed, quit
    else 
        echo "Merci d'installer python et de relancer l'installation" 1>&2
        exit 1
    fi
sleep 0.5
echo ""
echo "Est-ce que sudo est installé?"

    #check if sudo is installed
sleep 1
    if [ -f "/bin/sudo" ]; then
        echo 'sudo est correctement installé (Racine /bin !)'

elif [ -f "/usr/bin/sudo" ]; then
        echo 'sudo est correctement installé'

elif [ -f "/usr/local/bin/sudo" ]; then
        echo 'python est correctement installé (Version compilée à la main)'

elif [ -f "/sbin/sudo" ]; then
        echo 'sudo est correctement installé (Racine /sbin !)'

elif [ -f "/usr/sbin/sudo" ]; then
        echo 'sudo est correctement installé (/usr/sbin)'

elif [ -f "/usr/local/sbin/sudo" ]; then
        echo 'python est correctement installé (Version compilée à la main sbin)'

    #if neither are installed, quit
    else 
        echo "Merci d'installer sudo et de relancer l'installation" 1>&2
        exit 1
    fi
sleep 0.5
echo ""
echo "Est-ce que Tkinter est installé?"

    #check if Tkinter is installed
sleep 1
    if [ -f "/usr/lib/python2.6/lib-dynload/_tkinter.so" ]; then
        echo 'Tkinter est correctement installé - Python 2.6'
        
    elif [ -f "/usr/lib64/python2.6/lib-dynload/_tkinter.so" ]; then
        echo 'Tkinter est correctement installé - Python 2.6 - 64bit'
    
    elif [ -f "/usr/lib/python2.7/lib-dynload/_tkinter.so" ]; then
        echo 'Tkinter est correctement installé - Python 2.7'
        
    elif [ -f "/usr/lib64/python2.7/lib-dynload/_tkinter.so" ]; then
        echo 'Tkinter est correctement installé - Python 2.7 - 64bit'
    
    elif [ -d "/usr/lib/python3.*/tkinter" ]; then
        echo 'Tkinter est correctement installé - Python 3'
        
    elif [ -d "/usr/lib64/python3.*/tkinter" ]; then
        echo 'Tkinter est correctement installé - Python 3 - 64bit'

    #if neither are installed, quit
    else 
        echo "Merci d'installer Tkinter (python-tk)" 1>&2
        exit 1
    fi
sleep 0.8
echo ""
echo "Lancement de l'installation"
echo "0df25945c2f3cd4ebdabf43e11170958" > lib/.token
sleep 1
xterm -e bash lib/process.sh
rm -f lib/.token
if [ -f "lib/.token_bis" ]; then
        echo "Sky3DS a été installé avec succès"
        rm -f lib/.token_bis
else 
        echo "L'installation a été avortée, ou s'est terminée anormalement..." 1>&2 
        
fi
